Options -Indexes
RewriteEngine on

RewriteRule ^_api/?$ services/_api/Api.php?request=$1 [L,NC] 
RewriteRule ^_api/(.*)?$ services/_api/Api.php?request=$1 [L,NC] 
RewriteRule ^download/([^/]*)/$ downloadlink.php?app=$1 [L]
RewriteRule ^download/([^/]*)$ downloadlink.php?app=$1 [L]

RewriteRule ^senddata/log/([0-9.]+)?$ services/login.php?t=$1 [L] 
RewriteRule ^senddata/common/([0-9.]+)?$ services/common.php?t=$1 [L]
RewriteRule ^senddata/product/([0-9.]+)?$ services/products.php?t=$1 [L] 
RewriteRule ^senddata/content/([0-9.]+)?$ services/content.php?t=$1 [L]
RewriteRule ^senddata/question/([0-9.]+)?$ services/question.php?t=$1 [L]
RewriteRule ^senddata/assessment/([0-9.]+)?$ services/assessment.php?t=$1 [L]
RewriteRule ^senddata/user/([0-9.]+)?$ services/user.php?t=$1 [L]
RewriteRule ^senddata/survey/([0-9.]+)?$ services/survey.php?t=$1 [L]
RewriteRule ^senddata/training/([0-9.]+)?$ services/training.php?t=$1 [L]
RewriteRule ^senddata/dealer/([0-9.]+)?$ services/dealer.php?t=$1 [L]
RewriteRule ^senddata/report/([0-9.]+)?$ services/report.php?t=$1 [L]
RewriteRule ^senddata/bulletin/([0-9.]+)?$ services/bulletin.php?t=$1 [L]
RewriteRule ^senddata/notification/([0-9.]+)?$ services/notification.php?t=$1 [L]
RewriteRule ^senddata/redeem/([0-9.]+)?$ services/redeem.php?t=$1 [L]
RewriteRule ^senddata/reportdownload/([0-9.]+)?$ services/reportdownload.php?t=$1 [L]
RewriteRule ^senddata/expcontent/([0-9.]+)?$ services/expcontent.php?t=$1 [L]
RewriteRule ^senddata/videotraining/([0-9.]+)?$ services/videotraining.php?t=$1 [L]
RewriteRule ^quotation/([a-zA-Z0-9]+)?$ services/quotation.php?token=$1 [L] 
 